## apt 0.6.43.3ubuntu2

=== debian/changelog ===
apt (0.6.43.3ubuntu2) dapper; urgency=low

  * apt-pkg/deb/dpkgpm.cc: wording fixes (thanks to Matt Zimmerman)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Apr 2006 13:24:40 +0200

apt (0.6.43.3ubuntu1) dapper; urgency=low

  * apt-pkg/acquire.cc: don't show ETA if it is 0 or absurdely large in 
    the status-fd (ubuntu #28954)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Mar 2006 20:34:46 +0200

apt (0.6.43.3) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-186:
    * ca.po: Completed to 512t. Closes: #351592
    * eu.po: Completed to 512t. Closes: #350483
    * ja.po: Completed to 512t. Closes: #349806
    * pl.po: Completed to 512t. Closes: #349514
    * sk.po: Completed to 512t. Closes: #349474
    * gl.po: Completed to 512 strings Closes: #349407
    * vi.po: Completed to 512 strings
    * sv.po: Completed to 512 strings Closes: #349210
    * ru.po: Completed to 512 strings Closes: #349154
    * da.po: Completed to 512 strings Closes: #349084
    * fr.po: Completed to 512 strings
    * LINGUAS: Add Welsh
    * *.po: Updated from sources (512 strings)
    * vi.po: Completed to 511 strings  Closes: #348968
  * apt-pkg/deb/deblistparser.cc:
    - don't explode on a DepCompareOp in a Provides line, but warn about
      it and ignore it otherwise (thanks to James Troup for reporting it)
  * cmdline/apt-get.cc:
    - don't lock the lists directory in DoInstall, breaks --print-uri 
      (thanks to James Troup for reporting it)
  * debian/apt.dirs: create /etc/apt/sources.list.d 
  * make apt-cache madison work without deb-src entries (#352583)
  * cmdline/apt-get.cc: only run the list-cleaner if a update was 
    successfull
  * apt-get update errors are only warnings nowdays
  * be more careful with the signature file on network failures

 --  Michael Vogt <mvo@debian.org>  Wed, 22 Feb 2006 10:13:04 +0100

apt (0.6.43.2ubuntu1) dapper; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-182:
  * ca.po: Completed to 512t. Closes: #351592
    * eu.po: Completed to 512t. Closes: #350483
    * ja.po: Completed to 512t. Closes: #349806
    * pl.po: Completed to 512t. Closes: #349514
    * sk.po: Completed to 512t. Closes: #349474
    * gl.po: Completed to 512 strings Closes: #349407
    * vi.po: Completed to 512 strings
    * sv.po: Completed to 512 strings Closes: #349210
    * ru.po: Completed to 512 strings Closes: #349154
    * da.po: Completed to 512 strings Closes: #349084
    * fr.po: Completed to 512 strings
    * LINGUAS: Add Welsh
    * *.po: Updated from sources (512 strings)
    * vi.po: Completed to 511 strings  Closes: #348968
  * apt-pkg/deb/deblistparser.cc:
    - don't explode on a DepCompareOp in a Provides line, but warn about
      it and ignore it otherwise (thanks to James Troup for reporting it)
  * cmdline/apt-get.cc:
    - don't lock the lists directory in DoInstall, breaks --print-uri 
      (thanks to James Troup for reporting it)
  * debian/apt.dirs: create /etc/apt/sources.list.d 
  * make apt-cache madison work without deb-src entries (#352583)
  * cmdline/apt-get.cc: only run the list-cleaner if a update was 
    successfull
  * apt-get update errors are only warnings nowdays
  * be more careful with the signature file on network failures

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Feb 2006 22:27:48 +0100

apt (0.6.43.2) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-166:
    - en_GB.po, de.po: fix spaces errors in "Ign " translations Closes: #347258
    - makefile: make update-po a pre-requisite of clean target so
    	        that POT and PO files are always up-to-date
    - sv.po: Completed to 511t. Closes: #346450
    - sk.po: Completed to 511t. Closes: #346369
    - fr.po: Completed to 511t
    - *.po: Updated from sources (511 strings)
    - el.po: Completed to 511 strings Closes: #344642
    - da.po: Completed to 511 strings Closes: #348574
    - es.po: Updated to 510t1f Closes: #348158
    - gl.po: Completed to 511 strings Closes: #347729
    - it.po: Yet another update Closes: #347435
  * added debian-archive-keyring to the Recommends (closes: #347970)
  * fixed message in apt-key to install debian-archive-keyring 
  * typos fixed in apt-cache.8 (closes: #348348, #347349)
  * add patch to fix http download corruption problem (thanks to
    Petr Vandrovec, closes: #280844, #290694)

 -- Michael Vogt <mvo@debian.org>  Thu, 19 Jan 2006 00:06:33 +0100

apt (0.6.43.1ubuntu1) dapper; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-159:
    - en_GB.po, de.po: fix spaces errors in "Ign " translations
      Closes: #347258
    - makefile: make update-po a pre-requisite of clean target so
	        that POT and PO files are always up-to-date
    - sv.po: Completed to 511t. Closes: #346450
    - sk.po: Completed to 511t. Closes: #346369
    - fr.po: Completed to 511t
    - *.po: Updated from sources (511 strings)
  * add patch to fix http download corruption problem (thanks to
    Petr Vandrovec, closes: #280844, #290694)
  * added APT::Periodic::Unattended-Upgrade (requires the package
    "unattended-upgrade")

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Jan 2006 17:09:31 +0100

apt (0.6.43.1) unstable; urgency=low
  
  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-148:
    * fr.po: Completed to 510 strings
    * it.po: Completed to 510t
    * en_GB.po: Completed to 510t
    * cs.po: Completed to 510t
    * zh_CN.po: Completed to 510t
    * el.po: Updated to 510t
    * vi.po: Updated to 383t93f34u
    * tl.po: Completed to 510 strings (Closes: #344306)
    * sv.po: Completed to 510 strings (Closes: #344056)
    * LINGUAS: disabled Hebrew translation. (Closes: #313283)
    * eu.po: Completed to 510 strings (Closes: #342091)
  * apt-get source won't download already downloaded files again
    (closes: #79277)
  * share/debian-archive.gpg: new 2006 ftp-archive signing key added
    (#345891)

