## apt 0.6.43.3ubuntu3.1

=== debian/changelog ===
apt (0.6.43.3ubuntu3.1) dapper-security; urgency=low

  * SECURITY UPDATE: honor expired and revoked key signatures
    - adjust methods/gpgv.cc to mark a signature as valid only if GOODSIG
      is set by gpgv
    - CVE-XXXX-XXXX
    - Based on patch by Michael Vogt
  * SECURITY UPDATE: ensure automatic updates are not permanently disabled
    in certain situations when the timezone's DST starts at midnight
    - adjust debian/apt.cron.daily to check the return code of date
    - CVE-XXXX-XXXX

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 17 Apr 2009 09:24:17 -0500

apt (0.6.43.3ubuntu3) dapper-proposed; urgency=low

  * methods/http.cc:
    - check more careful for incorrect proxy settings (lp: #47044)
  * apt-inst/contrib/extracttar.cc:
    - fix string corruption (see debian #373864 for details) this
      affects apt runing under cron

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Aug 2006 17:37:28 +0200
