## apt 0.6.45ubuntu14

=== debian/changelog ===
apt (0.6.45ubuntu14) edgy; urgency=low

  * cmdline/apt-get.cc:
    - fix in the TryInstallTask() code to make sure that all package
      there are marked manual install (lp: #61684)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 28 Sep 2006 00:34:20 +0200

apt (0.6.45ubuntu13) edgy; urgency=low

  * no-changes upload to make apt rebuild against latest g++ and
    fix synaptic FTBFS (see bug: #62461 for details)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Sep 2006 22:33:10 +0200

apt (0.6.45ubuntu12) edgy; urgency=low

  * apt-pkg/depcache.cc:
    - fix in the sweep() code, set garbage flag for packages scheduled 
      for removal too
    - do not change the autoFlag in MarkKeep(), this can lead to suprising
      side effects

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Sep 2006 00:58:24 +0200

apt (0.6.45ubuntu11) edgy; urgency=low

  * removed "installtask" and change it so that tasknames can be given
    with "apt-get install taskname^"
  * improve the writeStateFile() code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Sep 2006 14:14:24 +0200

apt (0.6.45ubuntu10) edgy; urgency=low

  * methods/http.cc:
    - check more careful for incorrect proxy settings (closes: #378868)
  * methods/gzip.cc:
    - don't hang when /var is full (closes: #341537), thanks to
      Luis Rodrigo Gallardo Cruz for the patch
  * doc/examples/sources.list:
    - removed non-us.debian.org from the example (closes: #380030,#316196)
  * Merged from Christian Perrier bzr branch:
    * sk.po: Updated to 514t. Closes: #386851
    * ja.po: Updated to 514t. Closes: #386537
    * gl.po: Updated to 514t. Closes: #386397
    * fr.po: Updated to 516t.
    * fi.po: Updated to 512t. Closes: #382702
  * share/archive-archive.gpg:
    - removed the outdated amd64 and debian-2004 keys
  * apt-pkg/tagfile.cc:
    - applied patch from Jeroen van Wolffelaar to make the tags
      caseinsensitive (closes: #384182)
    - reverted MMap use in the tagfile because it does not work 
      across pipes (closes: #383487) 
  * added "installtask" command
  * added new ubuntu specific rewrite rule for "Original-Maintainer"
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Sep 2006 15:07:51 +0200

apt (0.6.45ubuntu9) edgy; urgency=low

  * cmdline/apt-get.cc:
    - if --no-remove is given, do not run the AutoRemove code 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Sep 2006 11:54:20 +0200

apt (0.6.45ubuntu8) edgy; urgency=low

  * apt-pkg/algorithm.cc:
    - fix pkgProblemResolver.InstallProtect() to preserve the auto-install
      information (lp: #59457)
  * cmdline/apt-get.cc:
    - fix typo in autoremove information (lp: #59420)
  * install apt-mark to modify the automatically install information for
    packages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  8 Sep 2006 20:07:22 +0200

apt (0.6.45ubuntu7) edgy; urgency=low

  * apt-pkg/depcache.cc:
    - fix a bug in the install-recommends-section code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  7 Sep 2006 18:22:38 +0200

apt (0.6.45ubuntu6) edgy; urgency=low

  [Michael Vogt]
  * cmdline/apt-get.cc:
    - always show auto-removable packages and give a hint how to remove 
      them
  * debian/apt.conf.ubuntu:
    - exlucde linux-image and linux-restricted-modules from ever being 
      auto-removed
    - added "metapackages" as the section we want to install recommends
      by default
  * apt-pkg/depcache.cc:
    - added support to turn install-recommends selectively on/off by
      section
  [Ian Jackson]
  * Tests pass without code changes!  Except that we need this:
  * Bump cache file major version to force rebuild so that Breaks
    dependencies are included.
  * Don't depend on or suggest any particular dpkg or dpkg-dev versions;
    --auto-deconfigure is very very old and dpkg-dev's Breaks support
    is more or less orthogonal.
  * Initial draft of `Breaks' implementation.  Appears to compile,
    but as yet *completely untested*.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  7 Sep 2006 11:50:52 +0200

apt (0.6.45ubuntu5) edgy; urgency=low

  * apt-pkg/pkgcachegen.cc:
    - increase the APT::Cache-Limit to deal with the increased demand due
      to the translated descriptions
  * apt-pkg/deb/dpkgpm.cc:
    - pass "--auto-deconfigure" to dpkg on install to support the
      new "breaks" in dpkg

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Aug 2006 12:06:26 +0200

apt (0.6.45ubuntu4) edgy; urgency=low

  * cmdline/apt-get.cc:
    - fix in the new --fix-polciy code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Aug 2006 21:08:11 +0200

apt (0.6.45ubuntu3) edgy; urgency=low

  * ABI break
  * merged latest apt--install-recommends (closes: #559000)
  * added "--fix-policy" option to can be used as "--fix-broken" and
    will install missing weak depends (recommends, and/or suggests 
    depending on the settings)
  * merged the apt--ddtp branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Aug 2006 12:53:23 +0200

apt (0.6.45ubuntu2) edgy; urgency=low

  * debian/control:
    - switched to libdb4.4 for building (closes: #381019)
  * cmdline/apt-get.cc:
    - show only the recommends/suggests for the candidate-version, not for all
      versions of the package (closes: #257054)
    - properly handle recommends/suggests or-groups when printing the list of
      suggested/recommends packages (closes: #311619)
  * merged "apt--install-recommends" branch:
    - added "{no-}install-recommends" commandline option
    - added APT::Install-{Recommends,Suggests} option
    - currently Install-Recommends defaults to "False" 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  9 Aug 2006 23:38:46 +0200

apt (0.6.45ubuntu1) edgy; urgency=low

  * merged with debian/unstable

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  1 Aug 2006 15:43:22 +0200

apt (0.6.45) unstable; urgency=low

  * apt-pkg/contrib/sha256.cc:
    - fixed the sha256 generation (closes: #378183)
  * ftparchive/cachedb.cc:

