=== debian/rules ===
--- 
+++ 
@@ -211,7 +211,7 @@
 	cp debian/bugscript debian/$@/usr/share/bug/apt/script
 
 	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
-
+	cp debian/apt.conf.ubuntu debian/$@/etc/apt/apt.conf.d/01ubuntu
 #	head -n 500 ChangeLog > debian/ChangeLog
 
 	# make rosetta happy and remove pot files in po/ (but leave stuff
@@ -253,6 +253,3 @@
 #	dh_installcron -p$@
 #	dh_installman -p$@
 
-	dh_installchangelogs -p$@
-	dh_strip -p$@
-	dh_compress -p$@
