## apt 0.6.46.4ubuntu10

=== debian/changelog ===
apt (0.6.46.4ubuntu10) feisty; urgency=low

  * apt-pkg/depcache.cc:
    - added "APT::Never-MarkAuto-Section" and consider dependencies 
      of packages in this section manual (LP#59893)
    - ensure proper permissions in the extended_state file (LP#67037)
  * debian/apt.conf.ubuntu:
    - added APT::Never-MarkAuto-Section "metapackages" (LP#59893)
  * cmdline/apt-get.cc:
    - "apt-get install foo" on a already installed package foo will
      clean the automatic installed flag (LP#72007)
    - do not show packages already marked for removal as auto-installed
      (LP#64493)
    - applied patch to (optionally) hide the auto-remove information
      (thanks to Frode M. Døving) (LP#69148)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Mar 2007 13:32:32 +0100

apt (0.6.46.4ubuntu9) feisty; urgency=low

  * debian/control:
    - set XS-Vcs-Bzr header
    - Set Ubuntu maintainer address
  * apt-pkg/cdrom.cc:
    - only unmount if APT::CDROM::NoMount is false
    - only umount if it was mounted by the method before
  * cmdline/apt-get.cc:
    - fix version output in autoremove list (LP#68941)
  * apt-pkg/packagemanager.cc:
    - do not spin 100% cpu in FixMissing() (LP#84476)
  * apt-pkg/indexfile.cc:
    - fix problem overwriting APT::Acquire::Translation
  * doc/examples/configure-index:
    - document APT::Acquire::Translation
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2007 15:24:39 +0100

apt (0.6.46.4ubuntu8) feisty; urgency=low

  * fix segfault in the pkgRecords destructor
  * Bump ABI version
  * debian/control:
    - make the libcurl3-gnutls-dev versionized (LP#86614)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Feb 2007 14:26:33 +0100

apt (0.6.46.4ubuntu7) feisty; urgency=low

  * Merged the apt--mirror branch. This means that a new 'mirror' 
    method is available that will allow dynamic mirror updates.
    The sources.list entry looks something like this:
    "deb mirror://mirrors.lp.net/get_mirror feisty main restricted"

    It also supports error reporting to a configurable url for mirror
    problems/failures.
  * Bump ABI version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Feb 2007 11:38:06 +0100

apt (0.6.46.4ubuntu6) feisty; urgency=low

  * methods/http.cc:
    - send apt version in User-Agent
  * apt-pkg/deb/debrecords.cc:
    - fix SHA1Hash() return value
  * apt-pkg/algorithms.cc:
    - fix resolver bug on removal triggered by weak-dependencies 
      with or-groups
    - fix segfault (lp: #76530)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Dec 2006 11:04:36 +0100

apt (0.6.46.4ubuntu5) feisty; urgency=low

  * added apt-transport-https package to provide a optional
    https transport (apt-https spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Dec 2006 16:23:43 +0100

apt (0.6.46.4ubuntu4) feisty; urgency=low
  
  * apt-pkg/algorithms.cc:
    - only increase the score of installed applications if they 
      are not obsolete 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Dec 2006 19:39:05 +0100

apt (0.6.46.4ubuntu3) feisty; urgency=low

  * apt-pkg/algorithm.cc:
    - use clog for all debugging
  * apt-pkg/depcache.cc:
    - never mark Required package for autoremoval (lp: #75882)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Dec 2006 11:56:05 +0100

apt (0.6.46.4ubuntu2) feisty; urgency=low

  * apt-pkg/algorithms.cc: add missing call to MarkKeep
    so that dist-upgrade isn't broken by unsatisfiable Breaks.
    (thanks to Ian Jackson)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  7 Dec 2006 23:07:24 +0100

apt (0.6.46.4ubuntu1) feisty; urgency=low

  * merged with debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  7 Dec 2006 12:13:14 +0100

apt (0.6.46.4) unstable; urgency=high

  * ack NMU (closes: #401017)
  * added apt-secure.8 to "See also" section
  * apt-pkg/deb/dpkgpm.cc:
    - added "Dpkg::StopOnError" variable that controls if apt
      will abort on errors from dpkg
  * apt-pkg/deb/debsrcrecords.{cc,h}:
    - make the Buffer grow dynmaically (closes: #400874)
  * Merged from Christian Perrier bzr branch:
    - uk.po: New Ukrainian translation: 483t28f3u
    - el.po: Update to 503t9f2u
    - de.po: Updates and corrections.
  * apt-pkg/contrib/progress.cc:
    - OpProgress::CheckChange optimized, thanks to Paul Brook
      (closes: #398381)
  * apt-pkg/contrib/sha256.cc:
    - fix building with noopt

 -- Michael Vogt <mvo@debian.org>  Thu,  7 Dec 2006 10:49:50 +0100

apt (0.6.46.3-0.2) unstable; urgency=high

  * Non-maintainer upload with permission of Michael Vogt.
  * Fix FTBFS on most arches (regression from the fix of #400874)

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  5 Dec 2006 15:51:22 +0000 
  

apt (0.6.46.3-0.1) unstable; urgency=high

  * Non-maintainer upload with permission of Michael Vogt.
  * Fix segfault at apt-get source. Closes: #400874
  * Add apt-key update in postinst, so that debian-archive-keyring doesn't
    need to depend on apt >= 0.6. Closes: #401114
  * Don't double-queue pdiff files. Closes: #401017
  
 -- Andreas Barth <aba@not.so.argh.org>  Tue,  5 Dec 2006 10:34:56 +0000

apt (0.6.46.3ubuntu2) feisty; urgency=low

  * apt-pkg/algorithms.cc: add missing call to MarkKeep
    so that dist-upgrade isn't broken by unsatisfiable Breaks.

 -- Ian Jackson <iwj@ubuntu.com>  Thu,  7 Dec 2006 15:46:52 +0000

apt (0.6.46.3ubuntu1) feisty; urgency=low

  * doc/apt-get.8.xml:
    - documented autoremove, thanks to Vladimír Lapá%GÄ%@ek 
      (lp: #62919)
  * fix broken i18n in the dpkg progress reporting, thanks to 
    Frans Pop and Steinar Gunderson. (closes: #389261)
  * po/en_GB.po:
    - typo (lp: #61270)
  * add apt-secure.8 to "See also" section

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Nov 2006 07:24:12 +0100

apt (0.6.46.3) unstable; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - make progress reporting robust against multiline error
      messages 

  * Merged from Christian Perrier bzr branch:

