## apt 0.6.46.4-0.1~bpo.1

=== debian/changelog ===
apt (0.6.46.4-0.1~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.
  * Fixed build-failure in apt-pkg/contrib/sha256.h.
  * Built against libdb4.2-dev instead libdb4.4-dev.
  * Added autoconf to build-dependencies. 

 -- Norbert Tretkowski <nobse@backports.org>  Wed, 28 Feb 2007 17:48:32 +0100

apt (0.6.46.4-0.1) unstable; urgency=emergency

  * NMU
  * Fix broken use of awk in apt-key that caused removal of the wrong keys
    from the keyring. Closes: #412572

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Feb 2007 16:00:22 -0500
