## apt 0.6.46.4-0.1+etch1

=== debian/changelog ===
apt (0.6.46.4-0.1+etch1) oldstable-security; urgency=high

  * debian/apt.cron.daily:
    - fix possible DST timestap releated auto-update problem
      (CVE-2009-1300, closes: #523213)
  * methods/gpgv.cc:
    - properly check for expired and revoked keys (closes: #433091)

 -- Michael Vogt <mvo@debian.org>  Sun, 19 Apr 2009 21:06:46 +0200
