=== debian/rules ===
--- 
+++ 
@@ -185,7 +185,7 @@
 
 # Build architecture-dependent files here.
 
-binary-arch: apt-transport-https apt libapt-pkg-dev apt-utils
+binary-arch: apt libapt-pkg-dev apt-utils 
 apt: build debian/shlibs.local
 	dh_testdir -p$@
 	dh_testroot -p$@
@@ -210,18 +210,9 @@
 
 	cp debian/bugscript debian/$@/usr/share/bug/apt/script
 
-	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
-	cp debian/apt.conf.ubuntu debian/$@/etc/apt/apt.conf.d/01ubuntu
+	cp share/debian-archive.gpg debian/$@/usr/share/$@
+
 #	head -n 500 ChangeLog > debian/ChangeLog
-
-	# make rosetta happy and remove pot files in po/ (but leave stuff
-	# in po/domains/* untouched) and cp *.po into each domain dir
-	rm -f build/po/*.pot
-	rm -f po/*.pot
-
-	# move the mirror failure script in place
-	mv debian/$@/usr/bin/apt-report-mirror-failure \
-	   debian/$@/usr/lib/apt/apt-report-mirror-failure \
 
 	dh_installexamples -p$@ $(BLD)/docs/examples/*
 	dh_installman -p$@ 
@@ -249,3 +240,17 @@
 	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
 	cp -a $(BLD)/bin/libapt-inst*.so debian/libapt-pkg-dev/usr/lib/
 #	ln -s libapt-pkg.so.$(LIBAPTPKG_MAJOR) debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
+	cp $(BLD)/include/apt-pkg/*.h debian/libapt-pkg-dev/usr/include/apt-pkg/
+
+	dh_installdocs -p$@
+#	dh_installmenu -p$@
+#	dh_installinit -p$@
+#	dh_installcron -p$@
+#	dh_installman -p$@
+
+	dh_installchangelogs -p$@
+	dh_strip -p$@
+	dh_compress -p$@
+	dh_fixperms -p$@
+#	dh_suidregister -p$@
+	dh_installdeb -p$@
