=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,11 @@
   export CXXFLAGS = -O2 -g -Wall
 endif
 
+# Pass on thumb mode when enabled
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CXXFLAGS += -mthumb
+endif
+
 # Default rule
 build:
 
@@ -69,7 +74,7 @@
 endif
 
 # APT Programs in apt-utils
-APT_UTILS=ftparchive sortpkgs extracttemplates
+APT_UTILS=sortpkgs extracttemplates
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -109,7 +114,7 @@
 	dh_testdir
 	-mkdir build
 	cp COPYING debian/copyright
-	cd build && CXXFLAGS="$(confcxxflags)" ../configure $(confflags)
+	cd build && CXXFLAGS="$(CXXFLAGS)" ../configure $(confflags)
 	touch $@
 
 build/build-stamp: build/configure-stamp
@@ -143,9 +148,9 @@
 #
 # libapt-pkg-doc install
 #	
-	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
-                            $(BLD)/docs/files* $(BLD)/docs/method* \
-			    doc/libapt-pkg2_to_3.txt doc/style.txt
+#	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
+#                            $(BLD)/docs/files* $(BLD)/docs/method* \
+#			    doc/libapt-pkg2_to_3.txt doc/style.txt
 	dh_installexamples -p$@
 #	dh_installmenu -p$@
 #	dh_installinit -p$@
@@ -171,8 +176,8 @@
 # apt-doc install
 #
 	# Copy the guides
-	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
-	               $(BLD)/docs/offline*.text $(BLD)/docs/offline*.html
+#	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
+#	               $(BLD)/docs/offline*.text $(BLD)/docs/offline*.html
 	dh_installchangelogs -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
@@ -206,18 +211,18 @@
 	cp $(BLD)/bin/methods/* debian/$@/usr/lib/apt/methods/
 
 	cp $(BLD)/scripts/dselect/* debian/$@/usr/lib/dpkg/methods/apt/
-	cp -r $(BLD)/locale debian/$@/usr/share/
+	#cp -r $(BLD)/locale debian/$@/usr/share/
 
 	cp debian/bugscript debian/$@/usr/share/bug/apt/script
 
-	cp share/debian-archive.gpg debian/$@/usr/share/$@
+#	cp share/debian-archive.gpg debian/$@/usr/share/$@
 
 #	head -n 500 ChangeLog > debian/ChangeLog
 
-	dh_installexamples -p$@ $(BLD)/docs/examples/*
-	dh_installman -p$@ 
-	dh_installcron -p$@
-	dh_installdocs -p$@
+#	dh_installexamples -p$@ $(BLD)/docs/examples/*
+#	dh_installman -p$@ 
+#	dh_installcron -p$@
+#	dh_installdocs -p$@
 	dh_installchangelogs -p$@
 	dh_strip -p$@
 	dh_compress -p$@
@@ -253,4 +258,3 @@
 	dh_compress -p$@
 	dh_fixperms -p$@
 #	dh_suidregister -p$@
-	dh_installdeb -p$@
