## apt 0.6.46.4.osso6

=== debian/changelog ===
apt (0.6.46.4.osso6) unstable; urgency=low

  * Bugfixed trusthook.patch to not get into infinite loops in certain
    cases.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu,  3 May 2007 14:18:47 +0300
