=== debian/rules ===
--- 
+++ 
@@ -216,6 +216,10 @@
 	cp debian/bugscript debian/$@/usr/share/bug/apt/script
 
 #	cp share/debian-archive.gpg debian/$@/usr/share/$@
+
+	mkdir -p debian/$@/etc/apt/apt.conf.d
+	echo 'Acquire::gpgv::Options {"--ignore-time-conflict";};' \
+	     >debian/$@/etc/apt/apt.conf.d/50gpgv
 
 #	head -n 500 ChangeLog > debian/ChangeLog
 
@@ -250,11 +254,3 @@
 	dh_installdocs -p$@
 #	dh_installmenu -p$@
 #	dh_installinit -p$@
-#	dh_installcron -p$@
-#	dh_installman -p$@
-
-	dh_installchangelogs -p$@
-	dh_strip -p$@
-	dh_compress -p$@
-	dh_fixperms -p$@
-#	dh_suidregister -p$@
